Get the cluster's Node Pools.
Retrieve all the node pools with details from the cluster by Universally Unique Identifier (UUID). Deprecated, please use /api/v1/node-pools instead.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
clusterId
Unique identifier of the cluster
Response
Node pools returned successfully.
name
Node Pool Name
labelKey
Label key for associated nodes to the Node Pool (with value as in labelValue)
labelValue
Label value for associated nodes to the Node Pool (with key as in labelKey)
placementStrategy
id
Node Pool unique id
clusterId
Node Pool cluster id
createdAt
Node Pool creation time
updatedAt
Node Pool update time
deletedAt
Node Pool delete time
status
Node Pool status
statusMessage
Node Pool status details
nodes
List of Nodes that are assigned to this nodepool - as json string
createdBy
Node Pool creator
updatedBy
Node Pool updater
isDefault
Is the Node Pool the default Node Pool for all nodes not assigned to any other Node Pool
overProvisioningRatioDeprecated
Errors
403
Forbidden Error
404
Not Found Error